Cyberduck Mountain Duck CLI

#3834 closed enhancement (fixed)

Support external editors with no ODB support for different file types

Reported by: julifos Owned by: dkocher
Priority: normal Milestone: 3.4
Component: core Version: 3.3b4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Maybe you could add the option to include external editors (user-defined) for different file types (specially images: gif, png, jpg, tif, psd...).

I think you support (text editors) which observe a special "protocol" to communicate with external apps. Can't you "monitorize" the downloaded file for changes, so when the user edits the file and click "Save", you start the uploading process?

Change History (9)

comment:1 Changed on Nov 2, 2009 at 4:35:55 PM by dkocher

  • Milestone set to 3.5
  • Status changed from new to assigned

comment:2 Changed on Nov 3, 2009 at 8:46:37 PM by dkocher

  • Resolution set to duplicate
  • Status changed from assigned to closed

This is fixed but not yet enabled by default in the latest nightly builds. See #2306. Also duplicate for #3112 with possible user interface improvements.

comment:3 Changed on Jan 5, 2010 at 9:48:49 PM by dkocher

  • Resolution duplicate deleted
  • Status changed from closed to reopened

comment:4 Changed on Jan 5, 2010 at 9:49:08 PM by dkocher

  • Milestone changed from 3.5 to 3.4

comment:5 Changed on Jan 5, 2010 at 10:10:29 PM by dkocher

User inteface part for this covered in #3112.

comment:7 Changed on Jan 5, 2010 at 10:16:14 PM by dkocher

Feature is documented in help/en/howto/edit.

comment:8 Changed on Jan 5, 2010 at 10:18:17 PM by dkocher

  • Summary changed from More external editors for different file types to Support external editors with no ODB support for different file types

comment:9 Changed on Jan 5, 2010 at 10:24:00 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Enabled by default in r5673.

comment:10 Changed on Jan 12, 2010 at 8:05:34 AM by dkocher

As of r5724 all applications that declare to support editing the selected file type are listed in the Edit menu.

Note: See TracTickets for help on using tickets.
swiss made software